{% extends "bases/modelo.html" %}
{% load static %}
{% load mask_email %}

{% block info%}
{% endblock %}


{% block conteudo %}
<div class="d-grid gap-2 px-2 mx-auto my-4" style="max-width: 540px;">
    <div class="card text-center bg-white bg-opacity-50" style="border: #ffffff; border-radius: 1;
    box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);" id="card-info">
    <div class="row ">
        <div class="col-md-4 mt-4">
            <img src="{{ object.imagem.url }}"  class="img-fluid p-1" style="max-width: 180px;" alt="...">
        </div>

        <div class="col-md-8">
        <div class="card-body">
            
            
            <p>Cor: {{ object.coloracao }}</p>
            <p>Raça: {{ object.raca }}</p>
            <p>Gênero:             {% if object.genero == 'F' %}Femea{% elif object.genero == 'M'%}Macho{% else %}Outro{% endif %}
            </p>
            <p>Data de Nascimento: {{ object.data_nasc }}</p>

            <p>Peso: {{ Recente.peso|default:"N/A"  }}
                {% if Recente.peso_tipo|default:"N/A" == 'K' %}Kg{% else %}Gramas{% endif %} 
            </p>
            <p>
                Data pesagem: {{ Recente.data_pesagem|default:"N/A"|date:"d F Y"   }}
            </p>
            <p>
                Responsavel: {{ Usuario.username}} - {{ Usuario.first_name}} {{ Usuario.last_name }} 
            </p>
            <p>
                Contato: {{ Usuario.email|mask_email }} 
            </p>

        </div>
        </div>
        </div>
    </div>
</div>
<div>

<div class="container">
    <div class="d-grid gap-2 px-2 mx-auto mb-3 mt-2" style="max-width: 540px;" >
        <div class="card text-center " style="border: transparent; background-color: transparent;"> 
            <button type="button" class="btn btn-sm" onclick="location.href='/veterinario/peso/{{animal.id}}/form'" id='info-card-btn'><i class="fas fa-balance-scale"></i> Adicionar Pesagem</button>
        </div>
    </div>

            <h3>Vacinas:</h3>
            <div class="card text-center bg-white bg-opacity-25" style="border: #ffffff; border-radius: 1;
            box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);">
            <div class="table-responsive"> 
            <table class="table">
                <thead class="thead-dark">
                    <tr>
                    <th scope="col">Nome</th>
                    <th scope="col">Atuação</th>
                    <th scope="col">Marca</th>
                    <th scope="col">Tipo</th>
                    <th scope="col">Fabricação</th>
                    <th scope="col">Expiração</th>
                    <th scope="col">Validade</th>
                    <th scope="col">Aplicado Data</th>
                    <th scope="col">Aprovado no Sistema</th>
                    <th scope="col">Editar</th>
                    {% comment %} <th scope="col">Deletar</th> {% endcomment %}

                    </tr>
                </thead>
            <tbody>
            {% for vacina in Vacina %}
                <tr>
                <td>{{ vacina.nome }} </td>
                <td>{{ vacina.atuacao }} </td>
                <td>{{ vacina.marca }} </td>
                <td>{{ vacina.tipo }} </td>
                <td>{{ vacina.fabricacao|date:"d F Y"  }} </td>
                <td>{{ vacina.expiracao|date:"d F Y" }} </td>
                <td>{{ vacina.validade|date:"d F Y"  }} </td>
                <td>{{ vacina.aplicado|date:"d F Y" }}</td>
                <td>
                    {% if vacina.aprovado == True %}
                    <i class="fas fa-check"></i>
                    {% else %}
                    <i class="fas fa-times"></i>
                    {% endif %}
                    
                
                </td>
                <td><i class='fas fa-pen' data-toggle="tooltip"
                    title="Editar" onclick="location.href='/veterinario/vacine/update/{{animal.id}}/{{vacina.id}}/'"></i></td>
                {% comment %} <td><i class='fas fa-trash' data-toggle="tooltip"
                    title="Deletar" onclick="location.href='/veterinario/delete/{{animal.id}}/{{vacina.id}}/'"></i></td> {% endcomment %}
                </tr>
            {% empty %}
        </tbody>
            <td>None<td>
            <td>Nenhuma vacina registrada.</td>
            {% endfor %}
            </table>
        </div>
        </div>
        <div class="d-grid gap-2 px-2 mx-auto mb-3 mt-2" style="max-width: 540px;" >
            <div class="card text-center " style="border: transparent; background-color: transparent;"> 
                <button type="button" class="btn btn-sm" onclick="location.href='/veterinario/vacine/{{animal.id}}/form'" id='info-card-btn'>Adicionar Vacina</button>
            </div>
        </div>

        <h3>Historico:</h3>

        <div class="card text-center bg-white bg-opacity-25" style="border: #ffffff; border-radius: 1;
        box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);">

        <div class="table-responsive"> 
            <table class="table">
                <thead class="thead-dark">
                <tr>
                    <th scope="col">Remedio</th>
                    <th scope="col">Definicao</th>
                    <th scope="col">Aplicado</th>
                    <th scope="col">Dose</th>
                    <th scope="col">Editar</th>
                    {% comment %} <th scope="col">Deletar</th> {% endcomment %}
                </tr>
            </thead>
            <tbody>
                {% for historico in Historico %}
                <tr>
                <td>
                    {{ historico.med_nome }}
                </td>
                <td>{{ historico.atuacao }}

                </td>
            
                <td>{{ historico.aplicado|date:"d F Y" }}</td>
                <td>{{ historico.quantidade }} {{ historico.quantidade_tipo }}</td>
                <td><i class='fas fa-pen' data-toggle="tooltip"
                    title="Editar" onclick="location.href='/veterinario/historic/update/{{animal.id}}/{{historico.id}}'"></i></td>
                {% comment %} <td><i class='fas fa-trash' data-toggle="tooltip"
                    title="Deletar" onclick="location.href='/historic/delete/{{animal.id}}/{{historico.id}}'"></i></td> {% endcomment %}

                {% empty %}
                <td>None</td>
                <td>Nenhuma historico de medicamento registrado.</td>
                {% endfor %}
                </tr>
            </tbody>
            </table>
        </div>

    </div>
    <div class="d-grid gap-2 px-2 mx-auto mb-3 mt-2" style="max-width: 540px;" >
        <div class="card text-center " style="border: transparent; background-color: transparent;"> 
            <button type="button" class="btn btn-sm" onclick="location.href='/veterinario/historic/{{animal.id}}/form'" id='info-card-btn'>Adicionar Medicamento</button>
        </div>
    </div>   

    <h4>Pesos:</h4>

    <div class="card text-center mb-4 bg-white bg-opacity-25" style="border: #ffffff; border-radius: 1;
    box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);">

    <div class="table-responsive"> 
        <table class="table text-center">
            <thead class="thead-dark">
            <tr>
                <th scope="col">Peso</th>
                <th scope="col">Data_Pesagem</th>
                <th>editar</th>
            </tr>
        </thead>
        <tbody>
            {% for peso in Peso %}
            <tr>
            <td>
                {{ peso.peso }}
                {% if peso.peso_tipo == 'K' %}Kg{% else %}Gramas{% endif %}
            </td>
            
            <td>{{ peso.data_pesagem|date:"d F Y"   }}
            </td>
            <td>
                <td><i class='fas fa-pen' data-toggle="tooltip"
                    title="Editar" onclick="location.href='/veterinario/peso/update/{{animal.id}}/{{peso.id}}'"></i></td>
            </td>
        
            {% empty %}
            <td>None</td>
            <td>Nenhuma peso registrado.</td>
            {% endfor %}
            </tr>
        </tbody>
        </table>
    </div></div>
</div>
    
</div>

{% endblock %}
